Summary:        Utilities for PowerPC platforms
Summary(ja):    PowerPC プラットフォーム用のユーティリティ
Name:           powerpc-utils
Version:        1.1.3
Release:        1%{?_dist_release}

Group:          System Environment/Base
License:        CPL
URL:            http://powerpc-utils.ozlabs.org/
Source0:        http://powerpc-utils.ozlabs.org/releases/%{name}-%{version}.tar.gz
Source1:        nvsetenv
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  doxygen
ExclusiveArch:  ppc ppc64
Obsoletes:      pmac-utils

%description
Utilities for PowerPC platforms.

%prep
%setup -q
sed -i s/744/755/ rules.mk

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT FILES=
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/nvsetenv

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/nvsetenv
%{_sbindir}/nvram
%{_sbindir}/snap
%{_sbindir}/bootlist
%{_sbindir}/ofpathname
%{_sbindir}/ppc64_cpu
%{_sbindir}/lsprop
%{_mandir}/man8/nvram.8.gz
%{_mandir}/man8/snap.8.gz
%{_mandir}/man8/bootlist.8.gz
%{_mandir}/man8/ofpathname.8.gz
%doc README COPYRIGHT Changelog



%changelog
* Mon Apr 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1.3-1
- new upstream release

* Sat Mar 28 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1.2-1
- initial build for Vine Linux
- add Obsoletes: pmac-utils (which includes mousemode, nvsetenv and nvvideo)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.6-3
- Autorebuild for GCC 4.3

* Mon Dec  3 2007 David Woodhouse <dwmw2@redhat.com> 1.0.6-2
- Add --version to nvsetenv, for ybin compatibility

* Fri Nov 23 2007 David Woodhouse <dwmw2@redhat.com> 1.0.6-1
- New package, split from ppc64-utils
